Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType layoutType

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType (restriction)
           |
           +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType (extension)
                |
                +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}presentationControlType (extension)
                     |
                     +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}administeredControlType (extension)
                          |
                          +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}layoutType (extension)

Properties
  This component is not nillable.

Model
  `<...
  definitionId = xs:string
  description = xs:string
  htmlLayoutUri = xs:string
  iconUri = xs:string
  id = xs:string
  jspPattern = xs:string
  markupName = xs:string
  markupType = xs:string
  presentationClass = xs:string
  presentationId = xs:string
  presentationStyle = xs:string
  properties = xs:string
  skeletonUri = xs:string
  tagName = xs:string
  title = titleType
  type = xs:string>
  placeholder+
  </...>`

Nested Element Summary
`` | `placeholder`

Attribute Summary
`xs:string` | `definitionId`
`xs:string` | `description`
`xs:string` | `htmlLayoutUri`
`xs:string` | `iconUri`
`xs:string` | `id`
`xs:string` | `jspPattern`
`xs:string` | `markupName`
`xs:string` | `markupType`
`xs:string` | `presentationClass`
`xs:string` | `presentationId`
`xs:string` | `presentationStyle`
`xs:string` | `properties`
`xs:string` | `skeletonUri`
`xs:string` | `tagName`
`titleType` | `title`
`xs:string` | `type`

Attribute Detail

### definitionId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### description

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### htmlLayoutUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### iconUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### id

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### jspPattern

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### markupName

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### markupType

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### presentationClass

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationStyle

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### properties

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### skeletonUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### tagName

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### title

Type:
  `titleType`

Use:
  `optional`

Form:
  `unqualified`

### type

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

Sub Types

    {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}layoutType (extension)
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}borderLayoutType (extension)
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}flowLayoutType (extension)
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}gridLayoutType (extension)

Source

      <xs:complexType name="layoutType">
        <xs:complexContent>
          <xs:extension base="administeredControlType">
            <xs:sequence>
              <xs:element maxOccurs="unbounded" ref="placeholder"/>
            </xs:sequence>
            <xs:attribute name="jspPattern" type="xs:string"/>
            <xs:attribute name="type" type="xs:string"/>
            <xs:attribute name="markupName" use="required">
              <xs:simpleType>
                <xs:restriction base="xs:string">
                  <xs:minLength value="1"/>
                </xs:restriction>
              </xs:simpleType>
            </xs:attribute>
            <xs:attribute name="markupType" use="required">
              <xs:simpleType>
                <xs:restriction base="xs:string">
                  <xs:enumeration value="Layout"/>
                </xs:restriction>
              </xs:simpleType>
            </xs:attribute>
            <xs:attribute name="title" type="titleType"/>
            <xs:attribute name="description" type="xs:string"/>
            <xs:attribute name="htmlLayoutUri" type="xs:string"/>
            <xs:attribute name="iconUri" type="xs:string"/>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation